FreeMat

- Main Page
- Related Pages

vtkLogoWidget

Section: Visualization Toolkit Widget Classes

# Usage

This class provides support for interactively displaying and manipulating a logo. Logos are defined by an image; this widget simply allows you to interactively place and resize the image logo. To use this widget, simply create a vtkLogoRepresentation (or subclass) and associate it with the vtkLogoWidget.

To create an instance of class vtkLogoWidget, simply invoke its constructor as follows

      obj = vtkLogoWidget

# Methods

The class vtkLogoWidget has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLogoWidget class.

- `string = obj.GetClassName ()` - Standar VTK class methods.
- `int = obj.IsA (string name)` - Standar VTK class methods.
- `vtkLogoWidget = obj.NewInstance ()` - Standar VTK class methods.
- `vtkLogoWidget = obj.SafeDownCast (vtkObject o)` - Standar VTK class methods.
- `obj.SetRepresentation (vtkLogoRepresentation r)` - Create the default widget representation if one is not set.
- `obj.CreateDefaultRepresentation ()` - Create the default widget representation if one is not set.